import CrudEl from "./CrudEl"

import { hooksName, useHooks } from './CrudEl/hooks'

import { InitOptions } from './CrudEl/Methods'



const createCrudEl = (app: any, options: SystemParametersType) => {
    if (options) {
        if (!options.CrudRequest) console.error('请配置全局请求的主方法：CrudRequest')
        InitOptions(options)
        app.use(CrudEl)
    } else {
        console.error('请自定义你的配置项');
    }
}


export {
    createCrudEl,
    CrudEl,
    hooksName,
    useHooks,
}
